Release History:
---------------
4.4.2:
    * Enhancements:
        - Enabled additional expert commands to support debugging and 
        experimental settings in the field.
        - The installer now registers the installation in the Windows Registry,
        allowing it to appear in the Control Panel (Windows Settings). Users 
        can uninstall the application directly from the Control Panel.

    * Bug Fixes:
        - Fixed the connection test in the RGA Ethernet Setup Tools. 
        Previously in 4.3.0-4.4.1, running a connection test with an RGA120 
        unit would always fail.

4.4.1:
    * Enhancements:
        - Supported custom color for scan curve and bar chart in Analysis
        plots. Peak labels were also added. To access these options, open
        the plot context menu (via mouse right-click) and select "Customize
        Plot". For custom color, browse to General > Bar/Line Chart; for
        peak labels, browse to Data Labels > Label Common Gases.
        - Added register and bit position in an error message for easy
        lookup in the hardware manual.
        - Reduced the polling interval for checking the CEM ready state when 
        toggling the CEM in a scan run, improving performance by approximately
        300 ms per toggle on average.
        - Provided UI options to disable Pirani Test Interlock. When turning
        on the filament, a Pirani test runs by default to check for the over-
        pressure condition. If this test fails and users confirm that the 
        chamber pressure is within the operating limits, then the Pirani Test 
        Interlock can be disabled to bypass the Pirani test. Note that the 
        Pirani Test Interlock is re-enabled when the app makes a new connection
        to the instrument.
        
    * Bug Fixes:
        - Fixed run-time error when opening .rga files that saved with the
        legacy app's virtual RGA.
        - Fixed the issue where scan configuration was not updated when
        opening legacy .rga/.hst/.ana files.
        - Fixed a crash when restoring defaults in Preferences (when app
        was launched using the RGASoft shortcut).
        - Fixed to turn on the filament and electron multiplier LEDs on the
        front panel of a UGA120 series unit when these functions were initiated
        from the software.
        
4.4.0:
    * New Features:
        - User-defined signals (UDS) allow you to create custom signal 
        outputs by combining and manipulating existing signal sources using 
        mathematical expressions. This feature enables advanced analysis 
        and flexible signal processing tailored to your specific requirements.
        Search "user-defined signals" in the online help for more details.
        - Support of CIS instruments (Closed Ion Source analyzers): CIS100
        and CIS120 series are both supported. Operating a CIS is similar to
        operating an RGA, except when selecting ionizer settings. Refer to the
        online help for more information.
    
    * Enhancements:
        - Supported saving a scan configuration without running the scan. This
        enhancement basically allows users performing a save-as of a data file
        without the scan data, essentially saving the scan configuration to
        a file for later loading. To create a scan configuration without a
        real RGA, connect to the virtual RGA. Virtual RGA now supports up to 
        320 amu.
        - Added options to turn off filament & CEM upon disconnecting from the 
        RGA. Option settings include a selection to ask the user before turning
        off the components. Try out the options at Preferences > Maintenance >
        Control Hardware on RGA Disconnect.
        - Preserved detector setting when changing from one scan mode to
        another. Detector setting retention was already implemented when 
        switching between Analog and Histogram modes. It has now been extended 
        to all scan modes.
        - Improved serial port search, especially for connections that 
        previously experienced timeouts.
    
    * Bug Fixes:
        - Fixed an issue where the CEM status was not updated after a degas, 
        resulting in incorrect intensity calculations during scans.
        - Fixed text reports to exclude invalid values when RGA parameters,
        e.g. ionizer settings, were not available. RGA parameters become 
        unavailable when the RGA is disconnected. This fix eliminates confusion
        surrounding invalid values.
        - Fixed to properly handle the reply of "mv?" command when CEM option
        was not included in an RGA100 series instrument. The RGA returned 
        "0.0000" instead of "0" as expected in this case.
        
    * Platform & Transition Notes:
        - This release is built with a major framework update that now respects
        the Windows display scale settings. What this means is that some icons
        will change their sizes depending on the Windows display scale (app 
        relaunch may be required to see the changes). If you were using an 
        older version of the software, you might notice that some icons now 
        appear larger when your Windows display scale is set above 100%.
        - The framework update also follows Unicode CLDR (Common Locale Data
        Repository) for locale settings. For North America locale, this means
        the exponent format of a floating point number now uses the uppercase
        "E" instead of the lowercase "e" as seen in previous versions. For 
        example, 1.23e-7 is now displayed as 1.23E-7.
        - Following the major framework update, this version now supports
        Windows 10 and later only.

4.3.1:
    * Bug fixes:
        - Fixed data auto-save option "Save every <N> scan cycles". Instead of
        just flushing data to the file every <N> cycles, the software now 
        saves data of the i*Nth cycle (i = 1, 2, 3, ...), and drops the data
        of the cycles in between. See the online help of the Preferences for 
        more details.
        - Fixed to increase serial port search timeout to accommodate a line
        with low throughput.
        - Fixed the state of the Connect button in the Connections dialog box 
        not being updated (still being grayed out) after the selected target 
        changes its status to Available.
        - Fixed to prevent opening a current temporary file. A temporary data
        file is created when auto-save is not enabled.
        - Fixed to allow opening an ".rgadata" file directly from the Windows
        Explorer.
        - Fixed a runtime error when the scan mode was changed multiple times.
        - Fixed to show the user a prompt to save data when auto-save not 
        enabled. Before this fix, if another scan step was added or removed,
        no prompt was shown to allow the user to save unsaved data before
        the scan run started.
        - Fixed VirtualRGA not responding to the IONIZER:EMISsion set command.
        - Fixed the virtual connection 127.0.0.1 being shown when the program
        was re-opened after a software crash. Now, the virtual connection is
        properly removed.
        
4.3.0:
    * New Features:
        - Support of UGA instruments: remote Ethernet setup, control 
        components, acquire and display UGA measurements on tables & plots;
        run RGA scans and collect UGA data simultaneously; dynamically 
        control inlet channel in a scan run; auto-save text data.
        - Pressure reduction scaling: option to scale up the acquired pressure
        readings to the operating pressure for display when the operating 
        pressure has been reduced to meet the RGA pressure requirements.
    
    * Enhancements:
        - Hardware-Control step now supports using direct commands to set
        hardware settings. Both RGA & UGA commands are supported. Settings via
        GUI are removed.
        - Support of limited set of two-character commands in RGA120 series.
        - The main window title now shows the file name that used for the
        scan configuration when it's loaded via menu File > Load Configuration.

    * Bug Fixes:
        - Fixed to allow "ca" and "cl" commands in the app terminal.
        - Fixed plot marker's time label to correctly display at the 24-hr
        boundary.
        - Fixed the saved scan timestamp in a data file getting rounded off to
        seconds. Now the milliseconds are retained.
        - Fixed stop-mass adjustment issue when loading a configuration that 
        had a higher stop-mass than what the connected RGA supported. The 
        incomplete stop-mass adjustment resulted in a false error message 
        "Configured mass exceeds RGA's supported mass" when a scan run was
        initiated.
        
4.2.1:
    * Enhancements:
        - Added auto save of text data for various scan types. The options are
        available under main menu Preferences > Data. See the documentation for
        information on setup and file name convention.
        - Text data of Analog/Histogram now includes scan timestamp.
        - Step number was also added to all text data to easily identify a data
        set in a multiple-step scan run.
        - Added commands that enable field upgrades via the software's
        terminal. Field upgrades include enabling CEM and changing RGA model
        in RGA120 series.
        
    * Bug Fixes:
        - Fixed Leak Test plot not displaying leak rate and its unit on Y-axis.
        - Fixed scan run taking a while to start if the option "Warn if 
        filament is off when scan starts" was disabled.
        - Fixed auxiliary signals not being set to query but enabled in PvsT
        selective text data.
        - Fixed to keep the RGA group of the Status panel in its collapsed/
        expanded state when reading RGA status.
        - Fixed timestamps of text data to include milliseconds.

4.2.0:
    * New Features:
        - Support of RGA120 Series. Options available to RGA120 Series include:
            * Hardware-triggered scans.
            * I/O setup.
            * Service LED setup.
            * Event status setup.
            * Auto scan offset.
            * Detector auto calibration.
            * Auto peak tuning.
            * In-field firmware update.
        - Introducing auxiliary signals: total pressure, RTD temperature, 
        flange temperature, analog input voltage/current, and GPIO input. 
        Auxiliary signal measurements can be optionally acquired at the 
        beginning of each scan cycle. They are plotted on a time plot.

    * Enhancements:
        - Redesign of plot settings UI. More options were added. (plot's 
        context menu > Customize Plot).
        - Redesign of Preferences UI. More options were added. (main menu 
        File > Preferences).
        - Added the option to export all scan data to multiple text files from 
        Analog and Histogram scan plots (plot's context menu > Export to File >
        Text Data (All Scans)).
        - Added keyboard shortcut (Left/Right key) for scan navigation on 
        plots.
        - Added an option to check for software update (main menu Help > Check
        for Updates).
        - Default virtual RGA is now an RGA120 unit simulator (VirtualRGA.exe).
        The old virtual RGA100 file is now renamed to VirtualRGA100.exe.

    * Bug Fixes:
        - Fixed missing units for scan rate in scan text data.
        - Fixed time unit in Trigger Setup panel not properly loaded.
        - Fixed issue where detector warning not being shown in a Leak Test 
        scan.
        - Fixed a runtime error when importing to library from an .rgadata 
        file.
        - Fixed RGA search not able to find any instrument if the host computer
        had multiple network interfaces and the instruments were not connected
        to the default network interface (one with smallest metric value).
        - Fixed some of Error Bytes not being updated when the Status Error
        Byte ("er?" command result) containing multiple errors (RGA100 Series).
        - Fixed Tab focus order on GUI components.
        - Fixed common gas labels not updated on the plot when pressure units
        were changed in Preferences.
        - Fixed pressure unit not updated on plot when it was changed in
        Preferences and never connected to an RGA.
        - Fixed the last .rgaview file being incorrectly overwritten by the 
        next modified scan settings.
        - Fixed openning legacy .rga files where data was displayed in a unit
        other than Torr. Data file with unit in ppm now can be opened.

4.1.1:
    * Enhancements:
        - A "Connect RGA" button was added to the "REA Ethernet Setup Tools" 
        to allow a user to switch to the Connections dialog box where a 
        connection to the RGA could be made. 

    * Bug Fixes:
        - Fixed IP address 0.0.0.0 showing under Local Computer of the "REA 
        Ethernet Setup Tools".
        - Fixed Serial ports on an PCI extension card not recognizable by
        the application.

4.1.0:
    * Enhancements:
        - RGASoft now supports opening *.rga files from the legacy software.
        Search "legacy data file" in the Online Help for more information.

4.0.0: First release of RGASoft.


About RGASoft:
-------------

The RGASoft 4.x is the next generation software for Stanford Research 
Systems' (SRS) Residual Gas Analyzer (RGA). It is completely redesigned 
to provide a user-friendly user interface (UI) and many useful
features. Here are some that you can expect:

- User-centric UI: With user experiences being considered throughout the
  design process and multi-threads being utilized in many places, the software
  is quick and easy to use. Noticeably, connecting to an RGA is now a simple 
  and swift operation.
  
- Multiple scan types in one setup: You can configure up to 32 steps in a scan
  sequence. Each scan step can have a different set of parameters or a
  different scan type, either a spectral scan or an individual gas scan. You
  can even control some hardware settings between the scans. A scan run loops
  over the scan sequence based on customizable trigger settings.
  
- Scan once, derive different data: With the spectral data acquired over a 
  period of time, you can plot an individual mass in the spectrum in a time
  series chart, with options to average the signal intensity.
  
- Create custom signal outputs by combining and manipulating existing signal
  sources using mathematical expressions (introduced in version 4.4 via
  "user-defined signals" feature).
  
- Composition analysis: Each set of spectral data (collected in a scan step)
  has its own composition analysis workspace where plots and tables show the 
  snapshot composition of each scan as well as the composition over time for 
  live or offline scan data.
  
- Build your own gas library: In addition to the default gas library which
  provides graphical information of fragmentation patterns of various
  chemical species, you can create your own library in different ways to fit
  your needs. You can import the data from NIST, create a gas or gas mixture
  with fragmentation pattern imported from spectral scan data, or import from
  your existing library you created in the legacy app.
  
- Rich UI features and data representation: Data are displayed in various types
  of plots, tables, and annunciator panels depending on the scan data.
  Versatile dock widgets let you control display components in different ways.
  Spectrum charts provide the option to view the common gas in your vacuum 
  chamber. The time plots come with options displaying X-axis in date/time.
  Tables let you adjust the sensitivity dynamically. And more.
  
- Supporting all SRS RGA instruments: The software works with both RGA100
  and RGA120 series. More advanced features are provided with RGA120 series
  instruments: hardware-triggerred scans, auto peak tuning, auxiliary signals,
  in-field firmware update, etc.
  
- Ongoing development continues to bring new features and expanded support.
  Support for UGA instruments was introduced in version 4.3, and support for 
  CIS instruments was added in version 4.4.
  
To learn more about the features, check out the documentation that comes with 
the software. Visit https://www.thinksrs.com for latest updates.


Supported platforms:
-------------------

The RGASoft application is supported on following 64-bit Windows platforms:
- Windows 7 SP1 x64 (up to version 4.3.1)
- Windows 8.1 x64 (up to version 4.3.1)
- Windows 10 x64
- Windows 11


Hardware Requirements:
---------------------

The minimum hardware required to install and run:
- 1 GHz processor
- 100 MB of RAM
- 200 MB of HDD

Please note that additional disk space is required for data and more RAM is
needed for a scan run with many scan iterations/cycles.


Software Prerequisites:
----------------------

- User Privileges:
The RGASoft installer require administrator privileges to run on Windows. If 
you are installing from a non-admin account, you can assume sufficient 
privileges to invoke the installer by right clicking on the name of the 
installer and selecting "Run as administrator" from the context menu. If 
prompted, enter an administrator password to continue.

- Windows-specific Software Requirements:
Make sure to apply Windows updates before invoking the installers. If (during 
the installation process) the installer encounter errors, exit the 
installation, and ensure that your version of Windows is up-to-date before 
restarting the installer.
